Download an agent manifest

Base URL
https://{kibana_url}
  • GET /api/fleet/kubernetes/download
  • GET /s/{space_id}/api/fleet/kubernetes/download
Auth

Download the Kubernetes manifest for deploying Elastic Agent.

Required authorization

Privileges fleet-agent-policies-read or fleet-setup

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

download boolean

If true, returns the manifest as a downloadable file

fleetServer string

Fleet Server host URL to include in the manifest

enrolToken string

Enrollment token to include in the manifest

Responses

Successful response — returns the Kubernetes manifest as a YAML file download

application/json

Response Type: string

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number

Not Found

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}